Bug 7755 - wrong locale description
: wrong locale description
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-i18ndata)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-26 10:38 by
Modified: 2005-09-05 16:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-26 10:38:34
в описании локали tt_RU неверное описание страны: Татарстан вместо России.
Это неосоответствие потенциально может привести к некорректном отображении
информации в конфигураторе, если мы будем делать группировку по Region.

P.S. Так же неверный title, по той же самой причине.

P.P.S. Это надо исправлять в upstream.
------- Comment #1 From 2005-08-30 00:33:04 -------
Это политический вопрос, я бы не хотел в него ввязываться.
------- Comment #2 From 2005-08-30 11:55:36 -------
политика тут не при чём, речь идёт просто о неверном заполнении полей.

Если бы они хотели татарстан, не вопрос, пусть делают себе локаль типа
tt_Tatar,
но пока локаль именуется tt_RU, то и заполнение её должно быть в соответствии с
правилами. Я думаю, что люди делавшие описание локали просто не задумывались
над
тем какие правила надо соблюдать и надо просто им об этом напомнить.

Как минимум у нас это должно быть исправлено уж коли мы российский дистрибутив,
то все локали находящиеся в регионе RU у нас должны быть заполнены правильно.
------- Comment #3 From 2005-08-30 15:40:11 -------
$ fgrep -i territory localedata/locales/??_RU
localedata/locales/ru_RU:% Territory: RU
localedata/locales/ru_RU:territory  "Russia"
localedata/locales/tt_RU:% Territory: RU
localedata/locales/tt_RU:territory "Tatarstan"

Так что как минимум тэг territory в описании tt_RU указан неправильно.
------- Comment #4 From 2005-09-05 16:35:06 -------
Fixed in 2.3.5-alt7.